## org.eclipse.m2m.qvt.oml.util
Class StringBufferLog

    java.lang.Object
      org.eclipse.m2m.qvt.oml.util.WriterLog
          org.eclipse.m2m.qvt.oml.util.StringBufferLog

All Implemented Interfaces:
  Log

    public class StringBufferLog

extends WriterLog

A convenience implementation of a String content based log, mainly suitable for testing and debugging purposes.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.m2m.qvt.oml.util.Log
`NULL_LOG`

Constructor Summary
`StringBufferLog()` Constructs a default log object.
`StringBufferLog(int initialsize)` Constructs a log object of the given initialize size.

Method Summary
`java.lang.String` `getContents()`

Methods inherited from class org.eclipse.m2m.qvt.oml.util.WriterLog
`getWriter, log, log, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringBufferLog

    public StringBufferLog()

  Constructs a default log object.

### StringBufferLog

    public StringBufferLog(int initialsize)

  Constructs a log object of the given initialize size.

  Parameters:
    `initialsize` - the initial size of the string buffer associated with this log

Method Detail

### getContents

    public java.lang.String getContents()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.